Attribute VB_Name = "SuperGlobal"
Option Explicit

Public Const ve As String = vbCrLf
Public Const vl As String = vbLf
Public Const ve2 As String = vbCrLf & vbCrLf

'DESC "Line to String"
'     Slow but convenient procedure.
'
Public Function l2s$(l$, s$)

l = l & vbCrLf & s
l2s = l

End Function

Public Function l2ne$(l$, nes$)

If Len(nes) > 0 Then l = l & vbCrLf & nes
l2ne = l

End Function

'DESC "String to Non-Empty String"
'     If nes is non-empty,
'     append nes to string s.
'
Public Function s2ne$(s$, nes$)

If Len(nes) > 0 Then s = s & nes
s2ne = s

End Function

'DESC "String to String"
'     Slow but convenient procedure.
'
Public Function s2s(s$, ss$)

s = s & ss
s2s = s

End Function


