Attribute VB_Name = "Utilities"
Option Explicit


Function AppendFileLoosely$(FName$, s$)

Dim h%

On Error Resume Next
h = FreeFile
Open FName For Append Shared As #h
Print #h, s;
Close #h

End Function




Function ReadFileLoosely$(FName$)

Dim h%, r$, i&

h = FreeFile
On Error Resume Next
If Dir(FName) = "" Then Exit Function

Open FName For Binary As #h
r = Space(LOF(h))
i = Len(r)
 
If i = 0 Then
   Close #h
Else
   Get #h, 1, r
   Close #h
   ReadFileLoosely = r
End If
 
End Function


'Guess.
'This method is a guess.
'But everyone seems uses it.
'
'DESC    Convert C-string terminated by char(0)
'        to VB-String.
'OUTPUT  Xc - Exception=Char(0) is not found.
'PURPOSE Primarily for Win API calls.
'
Public Function cs2vbs$(s As String, Xc$)

Dim i&

i = InStr(s, Chr(0))
If 0 = i Then
   cs2vbs = s
   Xc = "No Char(0) is found in string " & _
        Left(s, 10) & " ... "
   Exit Function
End If
cs2vbs = Left(s, i - 1)


End Function
